﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/*
 *Goal State:
 *1 2 3
 *8 0 4
 *7 6 5
 *
 * odds can move in two directions
 * evens can move in three
 * 0 can move in four
 */

namespace AI
{
    class Nil
    {
        /// <summary>
        /// This class is the implementation of the Nilsson Sequence Score.
        /// </summary>
        /// <param name="state"></param>
        /// <returns></returns>
        public int Check(int[] state)
        {
            int ret = 0;

            if (state[0] != 0)
            {
                ret++;
            }

            for(int i = 1; i < 9; i++)
            {
                if (state[i] - state[i - 1] != 1)
                {
                    ret += 2;
                }
            }

            return ret;
        }

    }
}
